Bug 446031 - (CVE-2008-2136) CVE-2008-2136 kernel: sit memory leak
CVE-2008-2136 kernel: sit memory leak
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
public=20080509,reported=20080509,sou...
: Security
Depends On: 446032 446033 446034 446035 446036 446037 446038 446039 447501 453136
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-12 04:53 EDT by Jan Lieskovsky
Modified: 2016-03-04 05:41 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-23 13:14:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2008-05-12 04:53:44 EDT
Description of problem:

sit: Add missing kfree_skb() on pskb_may_pull() failure.

Noticed by Paul Marks <paul@pmarks.net>.

Additional info:

Proposed upstream patch:

http://repo.or.cz/w/linux-2.6/zen-sources.git?a=commitdiff;h=1be05a5eda841014c1151cb0f8dc791862bd40a5;hp=a864928f5e50a872735e58ff5de483625e3608ee
Comment 2 Fedora Update System 2008-05-14 18:14:53 EDT
kernel-2.6.25.3-18.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Bob Gustafson 2008-06-27 12:00:23 EDT
I don't know if this is related, but I updated to a new kernel (Fed8) and this
kernel is unusable because of a memory leak. I have 3GB and it takes about 10-20
minutes to fill, then I need to reboot.

I went back a kernel using the boot/grub.conf option.

The kernel with a problem is 2.6.25.6-27.fc8
The kernel that runs ok   is 2.6.25.4-10.fc8

System is x86_64 and processor is Intel Pentium Dual CPU E2160 @1.80Ghz

Stopped most servers (httpd, asterisk, bluetooth,dhdpd, sepostgresql, tomcat)
for above tests (and currently).

I can provide additional information - let me know.
Comment 6 Mark J. Cox (Product Security) 2008-07-23 09:05:34 EDT
text used in RHSA:

* a possible kernel memory leak was found in the Linux kernel Simple
Internet Transition (SIT) INET6 implementation. This could allow a local
unprivileged user to cause a denial of service. (CVE-2008-2136, Important)
Comment 11 Vincent Danen 2010-12-23 13:14:45 EST
This was addressed via:

MRG Realtime for RHEL 5 Server (RHSA-2008:0585)
Red Hat Enterprise Linux version 4 (RHSA-2008:0607)
Red Hat Enterprise Linux version 5 (RHSA-2008:0612)
Red Hat Linux Advanced Workstation 2.1 (RHSA-2008:0787)
Red Hat Enterprise Linux version 3 (RHSA-2008:0973)
Red Hat Enterprise Linux version 2.1 (RHSA-2009:0001)

Note You need to log in before you can comment on or make changes to this bug.